jueves, febrero 11, 2010

Plugin para Pidgin "now listening" en Spotify

He visto un plugin para mi pidgin que presenta la canción que estás escuchando actualmente en spotify (instalado en wine, por supuesto).

Se encuentra aquí: http://developer.pidgin.im/wiki/ThirdPartyPlugins

Se llama "pilt spotify" y según su README es simplemente compilarlo con make, aunque me han salido unos errores en mi Ubuntu 9.10. Estos errores han sido simplemente falta de librerías principalmente así que se instalan:

sudo aptitude install glibc-2.10-1 sudo aptitude install libglib2.0-dev sudo aptitude install libpurple-dev sudo aptitude install xorg-dev

Pero hecho esto, se compila todo menos el plugin, ¿por qué?, bueno, parece ser que la versión de la librería libpurple-dev es distinta de la que depende libpurple0 (en mi caso la 2.6.2 en lugar de ser la 2.6.3 que es la que necesito).

Así pues, en http://archive.getdeb.net/getdeb/ubuntu/jaunty/li/ se baja la buena
libpurple-dev_2.6.3-1~getdeb1_all.deb y se instala.

Con "aptitude show libpurple-dev" se verifica que ahora la versión es la buena y se vuelve a compilar con "make".

Por último se copia spotify_playing.so en el "home" del usuario, dentro de .purple/plugins y listo, solo queda arrancar Pidgin y activar el complemento.

Recomiendo seguir el README y en caso de problemas sobre librerías continuar a partir de ahí con este artículo.